%define		_class		HTTP
%define		_subclass	Request
%define		_status		stable
%define		_pearname	%{_class}_%{_subclass}

Summary:	%{_pearname} - provides an easy way to perform HTTP requests
Name:		php-pear-%{_pearname}
Version:	1.4.4
Release:	%mkrel 2
License:	PHP License
Group:		Development/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
URL:		http://pear.php.net/package/HTTP_Request/
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
Requires:	php-pear-Net_URL >= 1.0.12
Requires:	php-pear-Net_Socket >= 1.0
BuildArch:	noarch
BuildRequires:	dos2unix
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Supports GET/POST/HEAD/TRACE/PUT/DELETE, Basic authentication, Proxy,
Proxy Authentication etc.

In PEAR status of this package is: %{_status}.

%prep

%setup -q -c

find . -type d -perm 0700 -exec chmod 755 {} \;
find . -type f -perm 0555 -exec chmod 755 {} \;
find . -type f -perm 0444 -exec chmod 644 {} \;

for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -rf $i; fi >&/dev/null
done

# strip away annoying ^M
find -type f | grep -v ".gif" | grep -v ".png" | grep -v ".jpg" | xargs dos2unix -U

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_datadir}/pear/%{_class}/%{_subclass}

install %{_pearname}-%{version}/*.php %{buildroot}%{_datadir}/pear/%{_class}
install %{_pearname}-%{version}/%{_subclass}/*.php %{buildroot}%{_datadir}/pear/%{_class}/%{_subclass}

install -d %{buildroot}%{_datadir}/pear/packages
install -m0644 package.xml %{buildroot}%{_datadir}/pear/packages/%{_pearname}.xml

%post
if [ "$1" = "1" ]; then
	if [ -x %{_bindir}/pear -a -f %{_datadir}/pear/packages/%{_pearname}.xml ]; then
		%{_bindir}/pear install --nodeps -r %{_datadir}/pear/packages/%{_pearname}.xml
	fi
fi
if [ "$1" = "2" ]; then
	if [ -x %{_bindir}/pear -a -f %{_datadir}/pear/packages/%{_pearname}.xml ]; then
		%{_bindir}/pear upgrade -f --nodeps -r %{_datadir}/pear/packages/%{_pearname}.xml
	fi
fi

%preun
if [ "$1" = 0 ]; then
	if [ -x %{_bindir}/pear -a -f %{_datadir}/pear/packages/%{_pearname}.xml ]; then
		%{_bindir}/pear uninstall --nodeps -r %{_pearname}
	fi
fi

%clean
rm -rf %{buildroot}

%files
%defattr(644,root,root,755)
%doc %{_pearname}-%{version}/docs/*
%{_datadir}/pear/%{_class}/*.php
%{_datadir}/pear/%{_class}/%{_subclass}
%{_datadir}/pear/packages/%{_pearname}.xml


%changelog
* Wed Dec 31 2008 Oden Eriksson <oeriksson@mandriva.com> 1.4.4-2mdv2009.1
+ Revision: 321869
- rebuild

* Sat Nov 22 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.4.4-1mdv2009.1
+ Revision: 305784
- update to new version 1.4.4

* Sat Aug 16 2008 Oden Eriksson <oeriksson@mandriva.com> 1.4.3-1mdv2009.0
+ Revision: 272591
- 1.4.3

* Wed Jun 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.4.1-4mdv2009.0
+ Revision: 224748
- rebuild

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 1.4.1-3mdv2008.1
+ Revision: 178518
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Aug 16 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.4.1-2mdv2008.0
+ Revision: 64199
- rebuild

* Sun May 20 2007 Oden Eriksson <oeriksson@mandriva.com> 1.4.1-1mdv2008.0
+ Revision: 28898
- 1.4.1

* Fri Apr 20 2007 Oden Eriksson <oeriksson@mandriva.com> 1.4.0-1mdv2008.0
+ Revision: 15545
- 1.4.0


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 1.3.0-2mdv2007.0
+ Revision: 81131
- Import php-pear-HTTP_Request

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 1.3.0-2mdk
- new group (Development/PHP)

* Sun Nov 06 2005 Oden Eriksson <oeriksson@mandriva.com> 1.3.0-1mdk
- 1.3.0

* Thu Aug 25 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.4-8mdk
- rebuilt to fix auto deps

* Thu Aug 18 2005 Andreas Hasenack <andreas@mandriva.com> 1.2.4-7mdk
- included missing file (Listener.php)

* Tue Aug 09 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.4-6mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sat Jul 30 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.4-5mdk
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.4-4mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.4-3mdk
- fix deps

* Mon Jul 18 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.4-2mdk
- fix spec file to conform with the others

* Thu Jan 20 2005 Pascal Terjan <pterjan@mandrake.org> 1.2.4-1mdk
- First mdk package

